.marker {
  position: absolute;
}

.marker-1 {
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 5px;
  cursor: pointer;
  pointer-events: initial;
}

.marker-1.active .text {
  background-color: #3d7eff;
}

.marker-1 .dot {
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #3d7eff;
  cursor: pointer;
}

.marker-1 .line {
  position: absolute;
  bottom: 10px;
  width: 2px;
  height: 30px;
  background-color: #3d7eff;
  cursor: pointer;
}

.marker-1 .text {
  position: absolute;
  bottom: 40px;
  font-size: 14px;
  color: #ffffff;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 6px 10px;
  border-radius: 5px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: pointer;
}

.marker-2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
  pointer-events: initial;
}

.marker-2.active .sort-text {
  background-image: url('../images/marker_blue.png');
}

.marker-2 .sort-text {
  position: absolute;
  bottom: 0;
  width: 24px;
  height: 33px;
  line-height: 24px;
  background-image: url('../images/marker_grey.png');
  background-size: 100% 100%;
  text-align: center;
  font-size: 12px;
  color: #ffffff;
}

.marker-3 {
  width: 24px;
  height: 24px;
  border-radius: 12px;
  cursor: pointer;
  pointer-events: initial;
  background-image: url('../images/marker_3d.png');
  background-size: 100% 100%;
  background-color: rgba(0, 0, 0, 0.5);
  border: 1px solid #3d7eff;
}

.marker-3.active {
  background-color: #3d7eff;
}

.marker-tip {
  display: none;
  position: absolute;
  top: 50px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 20px;
  font-weight: bold;
  color: #3d7eff;
  pointer-events: none;
  cursor: default;
}
